package com.javahonk;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.AbstractApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class RunApplication {
	
	private static final Logger LOGGER = LogManager.getLogger(RunApplication.class.getName());

	public static void main(String[] args){
		
		ApplicationContext context = new ClassPathXmlApplicationContext("spring-context.xml");
		
		ValidateBuild validateBuild = (ValidateBuild)context.getBean(ValidateBuild.class);
		
		LOGGER.info(validateBuild.isBuildWorking());
		
		((AbstractApplicationContext)context).close();
		
	}
	
}
